Subject: [calsify] Hebrew month numbering (again)

From: Ken Murchison <[email-masked]>
Date: Wed, 28 May 2014 13:33:46 -0400

Marten's RSCALE implementation questions triggered something that I 
noticed about Hebrew month numbering but forgot to mention earlier. Most 
of the resources that I found online about Hebrew/Jewish calendars has 
month 1 = Nisan and month 12 = Adar.  However ICU does the following, 
which is what the example in the draft assumes:

> Month numbering is interesting. Traditionally, the month of Nisan was 
> numbered 1, and Adar was 12 (thus Adar I and II were 12 and 13). 
> However, this puts the month of Tishri, which begins with the new year 
> (Rosh HaShanah), as month 7. A more modern numbering has Tishri as 
> month 1 (to coincide with the new year) which leads to different 
> schemes for numbering Adar and the subsequent months (see discussion 
> below on what ICU does).

Is this another ICU-ism that we should remove from the draft?  Or is the 
"modern" numbering what is the accepted standard in the "real" world?

-- 
Kenneth Murchison
Principal Systems Software Engineer
Carnegie Mellon University

---

From: Gregory Yakushev <[email-masked]>
Date: Thu, 29 May 2014 14:13:45 +0000

I am not sure RRULEs will handle a situation where year starts at arbitrary
month. This may present some quirky logic in combination with BYYEARDAY and
YEARLY rules.

On Wed May 28 2014 at 7:33:53 PM, Ken Murchison <[email-masked]>
wrote:

> month 1 = Nisan and month 12 = Adar.  However ICU does the following, which
> is what the example in the draft assumes:
>
> numbered 1, and Adar was 12 (thus Adar I and II were 12 and 13). However,
> this puts the month of Tishri, which begins with the new year (Rosh
> HaShanah), as month 7. A more modern numbering has Tishri as month 1 (to
> coincide with the new year) which leads to different schemes for numbering
> Adar and the subsequent months (see discussion below on what ICU does).
>
>
>  _______________________________________________
> calsify mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/calsify
>